package map;

public class IntegerKey {
	private int k;
	
	public IntegerKey(int k) {
		this.k = k;
	}
	
	@Override
	public int hashCode() {
		return k % 11;
	}
	
	@Override
	public boolean equals(Object obj) { 
		if(this == obj) { return true; }
		if(obj == null) { return false; }
		if(this.getClass() != obj.getClass()) { return false; }
		IntegerKey other = (IntegerKey) obj;
		return this.k == other.k;
	}
}
